# W A R N I N G -- DO NOT EDIT THIS FILE -- W A R N I N G
#
# postfix.spec
#
# This file is generated automatically from postfix.spec.in in the SOURCES
# directory.  If you want to build postfix with other options see
# make-postfix.spec in the same directory for instructions.
# --
# $Id: postfix.spec.in,v 2.194.2.36 2002/06/09 17:31:01 sjmudd Exp $
#
# File used to generate the distribution-specific postfix.spec file.
# Please send bugfixes and comments to the packager.
#
# If you need to make changes to postfix.spec, make them to postfix.spec.in
# and regenerate the spec file.
#
# See make-postfix.spec and postfix-build in %{_sourcedir} for more information.
#
# Information imported from postfix.spec.in
#
# ldap                     - include LDAP support
# mysql	                   - include www.mysql.com's MySQL rpms
# pcre                     - include pcre support
# pgsql                    - include Postgres database support
# pgsql2                   - experimental postgres patches by George Barbarosie
#                            <georgeb@intelinet.ro>: needs pgsql=1
# sasl                     - include SASL/AUTH support
# tls                      - include TLS support
# tlsfix                   - include TLS fix (apparently needed for rh6.2)
# REQUIRES_INIT_D          - Required by EnGarde-1.2
# REQUIRES_DB3             - used on RH 7.x, Mandrake 8.1 and eventually RH6.2
# REQUIRES_DB4             - adding support for db4 (can be used on 7.2?)
# SMTPD_MULTILINE_GREETING - my patch to allow multiline banner
# VDA                      - add virtual delivery agent patch
# DISABLE_CHROOT           - disable setup of chroot environment
#
%define distribution engarde-1.5
%define ldap 1
%define mysql 0
%define pcre 1
%define pgsql 0
%define pgsql2 0
%define sasl 0
%define tls 1
%define tlsfix 0
## %define REQUIRES_DB3 1
%define REQUIRES_DB3 0
%define REQUIRES_DB4 0
%define REQUIRES_INIT_D 1
%define SMTPD_MULTILINE_GREETING 1
%define VDA 0
%define DISABLE_CHROOT 0

# start to support the conditional builds via rpm's
# --with debug
%define debug %{?_with_debug:1}%{?!_with_debug:0}

# Version information
%define pflogno -1.0.4
%define vdaver 1.1.6
%define pfixtls pfixtls-0.8.11a-1.1.11-20020613-0.9.6d
%define pgver 1.1.4

# If set to 1 if official version, 0 if snapshot
%define official 0 
%define pver 1.1.11
%define ver 20020613
%define mail_release_date 20020613
%define rel 1.3.1
%if %{official}
%define tarball_version %{ver}
%define package_version %{ver}
%define ftp_dir official
%else
%define tarball_version %{pver}-%{mail_release_date}
## %define package_version %{ver}.%{mail_release_date}
%define package_version %{ver}
%define ftp_dir experimental
%endif

%define config_dir %{_sysconfdir}/postfix
%define daemon_dir %{_libexecdir}/postfix
%define queue_dir %{_var}/spool/postfix

%define sample_dir %{config_dir}/samples
%define readme_dir %{config_dir}/README_FILES

%define newaliases_path %{_bindir}/newaliases
%define mailq_path %{_bindir}/mailq
%define rmail_path %{_bindir}/rmail
%define sendmail_path %{_sbindir}/sendmail

%define init_directory /etc/init.d
%define cron_directory /etc/cron.daily
%define crond_directory /etc/cron.d
%define pflog_directory /var/log/postfix
%define tls_directory /etc/postfix/tls

%define whinge /usr/bin/logger -p mail.info -t postfix/rpm
%define postfix_running %{daemon_dir}/master -t >/dev/null 2>&1; echo $?
%define die_cmd die(){ %whinge "$*"; exit 1; }

# Link source file to destination directory if possible. If the link is a
# symbolic link, make a copy in the destination directory, otherwise copy
# the file.  For the moment log to /var/log/maillog what we are doing.
%define copy_cmd copy() { %{whinge} "copying $1 to $2"; file=`basename $1`; ln -f $1 $2/$file 2>/dev/null || { test -L $1 2>/dev/null && { dest=`ls -l $1| awk '{print $11}'`; ln -sf $dest $2/$file; } || cp -dpf $1 $2/$file; }; }

Name: postfix
Group: System Environment/Daemons
URL: http://www.postfix.org
License: IBM Public License
PreReq: /sbin/chkconfig, util-linux
%if %{REQUIRES_INIT_D}
PreReq: /etc/init.d
%endif
Provides: MTA smtpd smtpdaemon
Obsoletes: sendmail, exim, qmail, smail, postfix
Version: %{package_version}
Release: %{rel}
Packager: Pete 0'Hara <pete@guardiandigital.com>
Summary: Postfix Mail Transport Agent
Vendor: Built on %{distribution}
Source0: ftp://ftp.porcupine.org/mirrors/postfix-release/%{ftp_dir}/postfix-%{tarball_version}.tar.gz
Source1: postfix-new-RPM-packages
Source2: postfix-get-distribution-gd
Source3: postfix-init.d-gd-comm
Source4: postfix-etc-cron.daily-postfix
Source5: postfix-aliases.2
Source6: postfix-chroot-setup.awk
Source7: postfix.spec.in
Source8: make-postfix.spec
Source9: ftp://ftp.aet.tu-cottbus.de/pub/postfix_tls/%{pfixtls}.tar.gz
Source10: http://jimsun.linxnet.com/downloads/pflogsumm%{pflogno}.pl
Source11: postfix-build
Source12: postfix.cron.d-gd
Source13: postfix-report.sh-gd5
Source14: postfix-body_checks-gd
Source15: openssl-postfix-gd.cnf
Source16: pop-before-smtp.db
Source17: aliases-gd.db
Source18: access-gd.db
Source19: canonical-gd.db
Source20: disallow_my_domain-gd.db
Source21: sender_access-gd.db
Source22: virtual-gd.db
Source23: transport-gd.db
Source24: client_access-gd.db

# Obligatory Patches
Patch1: postfix-config.patch
Patch2: postfix-smtp_sasl_proto.c.patch

# Optional patches
Patch4: http://ftp.oav.net/others/postfix/VDA/postfix-%{vdaver}_quota.patch 
Patch50: http://www.mat.cc/postfix/postfix-pg.postfix-%{pgver}.patch
Patch51: postfix-pg-raw.patch
Patch99: postfix-smtpd_multiline_greeting.patch
Patch100: postfix-config-1.1.11-gd5.diff
Patch102: postfix-smtp-proto-gd.diff
Patch103: post-install-gd.patch

BuildRoot: %{_tmppath}/postfix-%{package_version}-buildroot

# Determine packaging requirements
Requires: gawk, perl, sed
BuildRequires: gawk, perl, sed, patch

%if %{REQUIRES_DB3}
Requires: db3
BuildRequires: db3-devel
%endif

%if %{REQUIRES_DB4}
Requires: db4
BuildRequires: db4-devel
%endif

%if %{ldap}
Requires: openldap >= 1.2.9
BuildRequires: openldap-devel >= 1.2.9
%endif

%if %{pcre}
Requires: pcre
BuildRequires: pcre, pcre-devel
%endif

%if %{mysql}
Requires: MySQL-shared, zlib
BuildRequires: MySQL-shared, MySQL-devel, zlib-devel
%endif

%if %{pgsql}
Requires: postgresql, libpq.so
BuildRequires: postgresql, libpq.so, postgresql-devel
%endif

%if %{sasl}
Requires: cyrus-sasl
BuildRequires: cyrus-sasl, cyrus-sasl-devel
%endif

%if %{tls}
Requires: openssl
BuildRequires: openssl-devel
%endif

%description
Postfix is a Mail Transport Agent (MTA), intended to be an alternative
to the widely-used sendmail.  This package includes optional
support for LDAP, pcre, mysql, SMTP AUTH (SASL) and TLS; by default it
sets up chroot for added security.


%prep
umask 022

%{die_cmd}

# Warn if the distribution this spec file was made for isn't the same as
# the current distribution, using a script in the SOURCES directory.
# This will be removed and built into the spec file later.

tmpdir=`rpm --eval '%{_sourcedir}'`
distribution=`sh ${tmpdir}/postfix-get-distribution-gd`

if [ "${distribution}" != "%{distribution}" ]; then
    cat <<ENDTEXT

			W A R N I N G
			=============

This package's spec file was built for a different distribution to the
version which you are using.  If the differences (shown below) are only
a difference in MINOR version number this should not be a problem.

Current Distribution:	${distribution}
postfix.spec built for:	%{distribution}

If not it is advisable to rebuild the postfix.spec file as indicated below:

To rebuild the spec file (and thus avoid this warning) follow the following
steps:

	cd `rpm --eval '%{_sourcedir}'`
	sh make-postfix.spec	# to rebuild the spec file
	cd `rpm --eval '%{_specdir}'`
	rpm -ba postfix.spec	# to build postfix

If this procedure doesn't allow you to produce a working package, please
adivse me so I can take appropriate steps.

ENDTEXT
	sleep 10
fi

%setup -q -n postfix-%{tarball_version} -a 9

# Apply the TLS patch, must be at first, because the changes of master.cf
%if %{tls}
patch -p1 <%{pfixtls}/pfixtls.diff
%endif

# Apply obligatory patches
%patch1 -p1 -b .config
%patch2 -p1 -b .auth

# Apply optional patches
%if %{VDA}
%patch4 -p1 -b .vda
%endif
# Apply the PostgreSQL patches only if required
%if %{pgsql}
%patch50 -p1 -b .pg
%endif
%if %{pgsql2}
%patch51 -p1 -b .pgraw
%endif
%if %{SMTPD_MULTILINE_GREETING}
%patch99 -p1 -b .multiline
%endif

%patch100 -p1 -b .gdconfig
%patch102 -p1 -b .smtp_proto
%patch103 -p1 -b .post-install

%if %{tls}
# Move postfix/tls docs into TLS dir
mkdir TLS
mv %{pfixtls}/doc/* TLS
for i in ACKNOWLEDGEMENTS CHANGES INSTALL README TODO; do
  mv %{pfixtls}/$i $i.TLS
done
%endif

# setup master.cf to be chrooted
%if ! %{DISABLE_CHROOT}
mv conf/master.cf conf/master.cf-nochroot
awk -f %{_sourcedir}/postfix-chroot-setup.awk < conf/master.cf-nochroot > conf/master.cf
%endif

cp %{_sourcedir}/postfix-new-RPM-packages postfix-new-RPM-packages

%build
umask 022

CCARGS=
AUXLIBS=

%ifarch s390 s390x ppc
CCARGS="${CCARGS} -fsigned-char"
%endif

%if %{ldap}
  CCARGS="${CCARGS} -DHAS_LDAP"
  AUXLIBS="${AUXLIBS} -L/usr/lib -lldap -llber"
%endif
%if %{pcre}
  # -I option required for pcre 3.4 (and later?)
  CCARGS="${CCARGS} -DHAS_PCRE -I/usr/include/pcre"
  AUXLIBS="${AUXLIBS} -lpcre"
%endif
%if %{mysql}
  CCARGS="${CCARGS} -DHAS_MYSQL -I/usr/include/mysql"
  AUXLIBS="${AUXLIBS} -L/usr/lib/mysql -lmysqlclient -lz -lm"
%endif
%if %{pgsql}
  CCARGS="${CCARGS} -DHAS_PGSQL -I/usr/include/pgsql"
  AUXLIBS="${AUXLIBS} -lpq -lcrypt"
%endif
%if %{sasl}
  CCARGS="${CCARGS} -DUSE_SASL_AUTH"
  AUXLIBS="${AUXLIBS} -lsasl"
%endif
%if %{tls}
# See http://www.openldap.org/lists/openldap-devel/200105/msg00008.html
# - it seems rh6.2 needs LIBS=-ldl to build correctly.
# - reported by Jauder Ho <jauderho@carumba.com>
  if [ "${tlsfix}" = 1 ]; then
    LIBS=-ldl
  else
    LIBS=
  fi
  CCARGS="${CCARGS} -DHAS_SSL -I/usr/include/openssl"
  AUXLIBS="${AUXLIBS} -lssl -lcrypto"
%endif

export CCARGS AUXLIBS
make -f Makefile.init makefiles
unset CCARGS AUXLIBS
make DEBUG="%{?debug:-g}" OPT="$RPM_OPT_FLAGS"

%pre
umask 022

%{die_cmd}

# create postfix user and group, and maildrop group if necessary.
# Use perl here rather than looking in /etc/passwd or /etc/group as this works
# in a wider NIS or LDAP environment

perl -e '$gid=getgrnam("postdrop"); exit 1 if ! defined( $gid )' || {
    %whinge "Adding postdrop group to system"
    %{_sbindir}/groupadd -r postdrop
}

perl -e '$gid=getgrnam("postfix"); exit 1 if ! defined( $gid )' || {
    %whinge "Adding postfix group to system"
    %{_sbindir}/groupadd -r postfix
}

perl -e '$uid=getpwnam("postfix"); exit 1 if ! defined( $uid )' || {
    %whinge "Adding postfix user to system"
    %{_sbindir}/useradd -d %{queue_dir} -s /bin/true -g postfix -M -r postfix
}

%install
umask 022

[ %{buildroot} != "/" ] && {
    /bin/rm -rf   %{buildroot}
    /bin/mkdir -p %{buildroot}
}

%{?!debug:strip -R .comment --strip-unneeded bin/* libexec/*}

# install postfix into %{buildroot}
sh postfix-install -non-interactive \
       install_root=%{buildroot} \
       config_directory=%{config_dir} \
       daemon_directory=%{daemon_dir} \
       command_directory=%{_sbindir} \
       queue_directory=%{queue_dir} \
       sendmail_path=%{sendmail_path} \
       newaliases_path=%{newaliases_path} \
       mailq_path=%{mailq_path} \
       mail_owner=postfix \
       setgid_group=postdrop \
       manpage_directory=%{_mandir} \
       sample_directory=%{sample_dir} \
       readme_directory=%{readme_dir} || exit 1

# Change alias_maps and alias_database default directory to %{config_dir}
bin/postconf -c %{buildroot}%{config_dir} -e \
	"alias_maps = hash:%{config_dir}/aliases" \
	"alias_database = hash:%{config_dir}/aliases" \
|| exit 1

# This installs into the /etc/rc.d/init.d directory
/bin/mkdir -p %{buildroot}%{init_directory}
install %{SOURCE3} %{buildroot}%{init_directory}/postfix

# Copy the Linux chroot setup script to %{config_dir}, ready to use,
# later, removing the 'postfix reload' call from this script
%if ! %{DISABLE_CHROOT}
# These set up the chroot directory structure
mkdir -p %{buildroot}%{queue_dir}/etc
mkdir -p %{buildroot}%{queue_dir}/lib
mkdir -p %{buildroot}%{queue_dir}/usr/lib/zoneinfo
%endif

%if %{tls}
mkdir -p %{buildroot}%{tls_directory}
install -m 700 %{SOURCE15} %{buildroot}%{config_dir}/openssl-postfix.cnf
%endif

# This is the /etc/cron.daily directory
/bin/mkdir -p %{buildroot}%{cron_directory}

# This is the /etc/cron.d directory
/bin/mkdir -p %{buildroot}%{crond_directory}

# This file needs to be in cron.d and runs right after midnight
install %{_sourcedir}/postfix.cron.d-gd %{buildroot}%{crond_directory}/postfix

# This is the /var/log/postfix directory for pflogsumm reports
/bin/mkdir -p %{buildroot}%{pflog_directory}

# install pflogsumm.pl (used by daily cron) into %{_sbindir}
install -m 755 %{_sourcedir}/pflogsumm%{pflogno}.pl %{buildroot}%{_sbindir}/pflogsumm.pl

# install postfix-report.sh (used by daily cron) into %{_sbindir}
install -m 755 %{_sourcedir}/postfix-report.sh-gd5 %{buildroot}%{_sbindir}/postfix-report.sh

# install default body_checks
install -m 644 %{SOURCE14} %{buildroot}%{config_dir}/body_checks

# install dummy pop-before-smtp.db
install -m 644 %{SOURCE16} %{buildroot}%{config_dir}/
install -m 644 %{SOURCE17} %{buildroot}%{config_dir}/aliases.db
install -m 644 %{SOURCE18} %{buildroot}%{config_dir}/access.db
install -m 644 %{SOURCE19} %{buildroot}%{config_dir}/canonical.db
install -m 644 %{SOURCE20} %{buildroot}%{config_dir}/disallow_my_domain.db
install -m 644 %{SOURCE21} %{buildroot}%{config_dir}/sender_access.db
install -m 644 %{SOURCE22} %{buildroot}%{config_dir}/virtual.db
install -m 644 %{SOURCE23} %{buildroot}%{config_dir}/transport.db
install -m 644 %{SOURCE24} %{buildroot}%{config_dir}/client_access.db

install auxiliary/rmail/rmail %{buildroot}%{rmail_path}

# copy new aliases files and generate a ghost aliases.db file
cp -f %{_sourcedir}/postfix-aliases.2 %{buildroot}%{config_dir}/aliases
chmod 644 %{buildroot}%{config_dir}/aliases

# make a copy of access to client_access
cp %{buildroot}%{config_dir}/access %{buildroot}%{config_dir}/client_access

touch %{buildroot}/%{config_dir}/aliases.db
touch %{buildroot}/%{config_dir}/virtual.db
touch %{buildroot}/%{config_dir}/transport.db
touch %{buildroot}/%{config_dir}/client_access.db
touch %{buildroot}/%{config_dir}/sender_access
touch %{buildroot}/%{config_dir}/sender_access.db
touch %{buildroot}/%{config_dir}/sender_canonical
touch %{buildroot}/%{config_dir}/disallow_my_domain
touch %{buildroot}/%{config_dir}/disallow_my_domain.db
touch %{buildroot}/%{config_dir}/header_checks
touch %{buildroot}/%{config_dir}/mime_header_checks


for i in active bounce corrupt defer deferred flush incoming private saved; do
    mkdir -p %{buildroot}%{queue_dir}/$i
done
for i in maildrop public pid; do
    mkdir -p %{buildroot}%{queue_dir}/$i
done

# install qmqp-source, smtp-sink & smtp-source by hand
for i in qmqp-source smtp-sink smtp-source; do
  install -m 755 bin/$i %{buildroot}%{_sbindir}/$i
done

# Executed after the package has been installed.
# - activate postfix, setup chroot environment if necessary
%post
umask 022

# Change postfix-files to list compressed man pages
## sed -e 's/\(.*\/man[158].*\.[158]\)/\1.gz/g' %{config_dir}/postfix-files \
## We aren't packaging man pages
sed -e 's/.*\/man[158].*$//' %{config_dir}/postfix-files \
       > %{config_dir}/postfix-files.sed || exit 1

mv %{config_dir}/postfix-files.sed %{config_dir}/postfix-files || exit 1

# upgrade configuration files if necessary
sh %{config_dir}/post-install upgrade-package \
	config_directory=%{config_dir} \
	daemon_directory=%{daemon_dir} \
	command_directory=%{_sbindir} \
	mail_owner=postfix \
	setgid_group=postdrop \
	manpage_directory=%{_mandir} \
	sample_directory=%{sample_dir} \
	readme_directory=%{readme_dir} \
|| :

%{_sbindir}/postfix check || :

# Add submission to services if not found, required for rh <= 7.0
if ! grep -q ^submission %{_sysconfdir}/services
then
cat <<EOF >>%{_sysconfdir}/services
submission	587/tcp		msa	# mail message submission
submission	587/udp		msa	# mail message submission
EOF
fi

# Add smtps to services if not found
if ! grep -q ^smtps %{_sysconfdir}/services
then
cat <<EOF >>%{_sysconfdir}/services
smtps		465/tcp			# SMTP over SSL (TLS)
EOF
fi

# Start of trigger scripts ------------------------------------------------

# Generate chroot jails on the fly when needed things are installed/upgraded
%if ! %{DISABLE_CHROOT}

%triggerin -- glibc
%{copy_cmd}
# kill off old versions
rm -f %{queue_dir}/lib/libnss* %{queue_dir}/lib/libresolv*
# determine glibc version
LIBCVER=`ls -l /lib/libc.so.6* | sed "s/.*libc-\(.*\).so$/\1/g"`
# copy the relevant parts in
for i in compat dns files hesoid nis nisplus winbind wins; do
  [ -e /lib/libnss_${i}-${LIBCVER}.so ] && copy /lib/libnss_${i}-${LIBCVER}.so %{queue_dir}/lib
  [ -e /lib/libnss_${i}.so ]            && copy /lib/libnss_${i}.so            %{queue_dir}/lib
done
copy /lib/libresolv-${LIBCVER}.so %{queue_dir}/lib
ldconfig -n %{queue_dir}/lib

# copy real files into chroot environment
# Copy zonefile into chroot
test -L /etc/localtime
ISLINK=$?
if [ $ISLINK -eq 0 ]; then 
    zonefl="`ls -l /etc/localtime | awk '{print $11}'`"
else
    zonefl="/etc/localtime"
fi
cd %{queue_dir}/etc

# If I create a link postfix-script complains
# but if I cp the zonefile to localtime its fine
## ln -s `basename $zonefl` localtime
if [ $ISLINK -eq 0 ]; then 
     if [ -e %{queue_dir}/etc/localtime ]; then 
         /bin/rm -f %{queue_dir}/etc/localtime
     fi
     /bin/cp $zonefl %{queue_dir}/etc/localtime
fi

## for i in /etc/localtime /usr/lib/zoneinfo/localtime \
for i in /usr/lib/zoneinfo/localtime \
	/etc/host.conf /etc/resolv.conf /etc/nsswitch.conf \
	/etc/hosts /etc/services; do
    test -f ${i} && rm -f %{queue_dir}${i} && copy ${i} `/usr/bin/dirname %{queue_dir}${i}`
done

cd %{queue_dir}/usr/lib/zoneinfo
rm -f localtime
ln -s ../../../etc/localtime

chown -R root.root %{queue_dir}/usr
%endif

%if %{REQUIRES_DB3} && ! %{DISABLE_CHROOT}
%triggerin -- db3
%{copy_cmd}
for i in /lib/libdb-3.*so; do
  rm -f %{queue_dir}${i}
  copy ${i} %{queue_dir}/lib
done
ldconfig -n %{queue_dir}/lib
%endif

%if %{REQUIRES_DB4} && ! %{DISABLE_CHROOT}
%triggerin -- db4
%{copy_cmd}
for i in /lib/libdb-4.*so; do
  rm -f %{queue_dir}${i}
  copy ${i} %{queue_dir}/lib
done
ldconfig -n %{queue_dir}/lib
%endif

%if %{ldap} && ! %{DISABLE_CHROOT}
%triggerin -- openldap
%{copy_cmd}
rm -f %{queue_dir}%{_libdir}/libldap*.so*
rm -f %{queue_dir}%{_libdir}/liblber.so*
for i in %{_libdir}/libldap*.so* \
         %{_libdir}/libldap_r.so* \
         %{_libdir}/liblber.so*; do
      [ -e $i ] && copy $i %{queue_dir}%{_libdir}
done
ldconfig -n %{queue_dir}%{_libdir}

# remove ldap chroot environment
%triggerun -- openldap
[ $2 = 0 ] || exit 0
/bin/rm -f %{queue_dir}%{_libdir}/libldap*.so*
/bin/rm -f %{queue_dir}%{_libdir}/liblber.so*
%endif

%if %{pgsql} && ! %{DISABLE_CHROOT}
%triggerin -- postgresql-libs
%{copy_cmd}
rm -f %{queue_dir}%{_libdir}/libpq*
copy %{_libdir}/libpq.so.2 %{queue_dir}%{_libdir}
ldconfig -n %{queue_dir}%{_libdir}
%endif

%if ! %{DISABLE_CHROOT}
%triggerin -- setup
%{copy_cmd}
rm -f %{queue_dir}%{_sysconfdir}/services
copy %{_sysconfdir}/services %{queue_dir}%{_sysconfdir}
%endif

# end of trigger scripts --------------------------------------------------

# adding $transport_maps to $relay_domains
postconf relay_domains | grep transport_maps > /dev/null 2>&1
if [ $? -ne 0 ]; then
  RLDOMAINS=`postconf relay_domains | sed -e 's/^relay_domains\ \=\ //'`
  postconf -e "relay_domains=$RLDOMAINS, \$transport_maps"
fi


# adding tls_wrappermode transport (commented out) for OUTLOOK clients
# manually as pfixtls is patching master.cf and to avoid collisions with
# my own patch in the future 


  # Update master.cf with commented out disclaimer filter switch  and 
  # OUTLOOK tls "smtps" for Webtool
  if ! egrep '^[\#\ ]+-o content_filter=filter:dummy' /etc/postfix/master.cf > /dev/null;
  then
    cat /etc/postfix/master.cf | perl -e 'while(<>) {
      print;

      if (m/^smtp\s+inet\s+/) { print "#  -o content_filter=filter:dummy\n"; }
    }' > /etc/postfix/master.cf.$$

    cat /etc/postfix/master.cf.$$ > /etc/postfix/master.cf &&
    rm -f /etc/postfix/master.cf.$$
  fi

  if ! grep '^## start outlook tls #############' /etc/postfix/master.cf > /dev/null;
  then
    cat >> /etc/postfix/master.cf <<EOF
## start outlook tls #####################################################
#### FOR OUTLOOK CLIENTS with TLS
# smtps          inet  n       -       y       -       -       smtpd
#         -o smtpd_tls_wrappermode=yes
#         -o smtpd_enforce_tls=yes
## end outlook tls #######################################################

EOF
  fi


# chkconfig
# don't start at boot for now --rwm
#if [ $1 = 1 ]; then 
#else 

  # add new aliases
  RET="`grep "^virus-admin" /etc/postfix/aliases`"
  if [ ! -n "$RET" ]; then
     echo "virus-admin:	admin" >> /etc/postfix/aliases
  fi

  RET="`grep "^spam-admin" /etc/postfix/aliases`"
  if [ ! -n "$RET" ]; then
     echo "spam-admin:	admin" >> /etc/postfix/aliases
  fi

  # Restart postfix
  if [ -f /var/lock/subsys/postfix ]; then
        /etc/init.d/postfix restart > /dev/null 2>&1 || 1;
  fi

## fi


%preun
umask 022

stop_postfix () {
    echo "Stopping the Postfix mail system"
    if [ -f %{queue_dir}/pid/master.pid ]; then
        kill `sed 1q %{queue_dir}/pid/master.pid` >/dev/null 2>&1 || :
    else
        echo "BUG: postfix.spec (preun) - please inform packager"
    fi
}

# remove chroot jail when uninstalling the package
# WE MUST BE IN /var/spool/postfix before calling this routine

chroot_remove () {
%if %{ldap}
    /bin/rm -f %{queue_dir}%{_libdir}/libldap*.so*
    /bin/rm -f %{queue_dir}%{_libdir}/liblber.so*
%endif

    for i in etc/localtime usr/lib/zoneinfo/localtime \
            etc/host.conf etc/resolv.conf etc/nsswitch.conf \
	    etc/hosts etc/passwd etc/services \
%if %{REQUIRES_DB3}
            lib/libdb-3.*so \
%endif
%if %{REQUIRES_DB4}
            lib/libdb-4.*so \
%endif
	    lib/libnss_* lib/libresolv*; do
        test -f %{queue_dir}/${i} && /bin/rm -f %{queue_dir}/${i} 2>&1 > /dev/null
    done

    for dir in usr/lib/zoneinfo usr/lib usr lib etc; do
        test -d $dir && /bin/rm -rf $dir > /dev/null || \
	    echo "WARNING: preun - unable to remove directory %{queue_dir}/$dir"
    done
}

# selectively remove the rest of the queue directory structure
# first remove the "queues" (and assume the hash depth is still 2)
queue_directory_remove () {
    for dir in active bounce defer deferred flush incoming; do
        for a in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do
   	    test -d $dir/$a && {
	        for b in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do
		    test -d $dir/$a/$b && (
		        /bin/rm -f $dir/$a/$b/*
		        /bin/rmdir $dir/$a/$b
		    )
		done
		/bin/rmdir $dir/$a || echo "WARNING: preun - unable to remove directory %{queue_dir}/$dir/$a"
	    }
        done
	/bin/rmdir $dir || echo "WARNING: preun - unable to remove directory %{queue_dir}/$dir"
    done

    # now remove the other directories
    for dir in corrupt maildrop pid private public saved; do
        test -d $dir && {
            /bin/rm -f $dir/*
            /bin/rmdir $dir || echo "WARNING: preun - unable to remove directory %{queue_dir}/$dir"
        }
    done
}

if [ "$1" = 0 ]; then
    ## /sbin/service postfix stop &>/dev/null
    /etc/init.d/postfix stop &>/dev/null
    /sbin/chkconfig --del postfix

    # userdel also deletes the user's group
    %{_sbindir}/userdel postfix   || %whinge "WARNING: failed to remove user postfix"
    %{_sbindir}/groupdel postdrop || %whinge "WARNING: failed to remove group postdrop"

    cd %{queue_dir} && {
        %if ! %{DISABLE_CHROOT}
          chroot_remove
        %endif
        
##        queue_directory_remove
    }
    true # to ensure we exit safely
fi

# ---
# Request by Wietse: if there is a /usr/lib/sendmail file (ie not symbolic link), not owned by
# a package then replace it with a symbolic link to /usr/sbin/sendmail.
# ---

SENDMAIL=/usr/lib/sendmail
test -f ${SENDMAIL} && {
    rpm -qf ${SENDMAIL} >/dev/null 2>&1 || ln -sf %{sendmail_path} ${SENDMAIL}
} || :

%clean
/bin/rm -rf %{buildroot}


%files
%defattr(-, root, root)
%verify(not md5 size mtime) %config %dir %{config_dir}
%attr(0644, root, root)         %{config_dir}/LICENSE
%attr(0755, root, root) %config %{config_dir}/postfix-script
%attr(0755, root, root) %config %{config_dir}/post-install
%attr(0644, root, root)                                                %{config_dir}/postfix-files
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/main.cf
%attr(0644, root, root)                                                %{config_dir}/main.cf.default
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/master.cf
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/access
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/access.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/client_access
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/client_access.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/sender_access
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/sender_access.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/sender_canonical
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/aliases
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/aliases.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/canonical
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/canonical.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/pcre_table
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/regexp_table
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/relocated
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/transport
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/transport.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/virtual
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/virtual.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/pop-before-smtp.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/disallow_my_domain
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/disallow_my_domain.db
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/header_checks
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/mime_header_checks
%attr(0644, root, root) %verify(not md5 size mtime) %config(noreplace) %{config_dir}/body_checks

%dir %attr(-, root, root) %{sample_dir}
%attr(0644,   root, root) %{sample_dir}/*
%dir %attr(-, root, root) %{readme_dir}
%attr(0644,   root, root) %{readme_dir}/*

%attr(0755, root, root) %{init_directory}/postfix

%if %{tls}
%attr(0700, root, root) %{tls_directory}
%attr(0400,root,root) %config(noreplace) %{config_dir}/openssl-postfix.cnf
%endif

%dir                      %verify(not md5 size mtime) %{queue_dir}
%if ! %{DISABLE_CHROOT}
  %dir %attr(-, root, root) %verify(not md5 size mtime) %{queue_dir}/etc
  %dir %attr(-, root, root) %verify(not md5 size mtime) %{queue_dir}/lib
  %dir %attr(-, root, root) %verify(not md5 size mtime) %{queue_dir}/usr
  %attr(-, root, root)      %verify(not md5 size mtime) %{queue_dir}/usr/*
%endif

# For correct directory permissions check postfix-install script
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{queue_dir}/active
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{queue_dir}/bounce
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{queue_dir}/corrupt
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{queue_dir}/defer
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{queue_dir}/deferred
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{queue_dir}/flush
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{queue_dir}/incoming
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{queue_dir}/private
%dir %attr(0700, postfix, root)     %verify(not md5 size mtime) %{queue_dir}/saved

%dir %attr(0730, postfix, postdrop) %verify(not md5 size mtime) %{queue_dir}/maildrop
%dir %attr(0710, postfix, postdrop) %verify(not md5 size mtime) %{queue_dir}/public

%dir %attr(0755, root, root)        %verify(not md5 size mtime) %{queue_dir}/pid
%dir %attr(0700, root, root)        %verify(not md5 size mtime) %{pflog_directory}

%attr(0640, root, root) %verify(not md5 size mtime) %config %{crond_directory}/postfix

%doc 0README
%doc COMPATIBILITY
%doc HISTORY
%doc INSTALL
%doc LICENSE
%doc PORTING
%doc RELEASE_NOTES

%if %{pgsql}
%doc PGSQL_README
%endif

%doc postfix-new-RPM-packages

%if %{tls}
%doc ACKNOWLEDGEMENTS.TLS
%doc CHANGES.TLS
%doc README.TLS
%doc TODO.TLS
%doc TLS
%doc %{pfixtls}/contributed/make-postfix-cert.sh
%endif

%doc html
%doc examples

%dir %attr(0755, root, root) %verify(not md5 size mtime) %{daemon_dir}
%{daemon_dir}/bounce
%{daemon_dir}/cleanup
%{daemon_dir}/error
%{daemon_dir}/flush
%{daemon_dir}/lmtp
%{daemon_dir}/local
%{daemon_dir}/master
%{daemon_dir}/nqmgr
%{daemon_dir}/pickup
%{daemon_dir}/pipe
%{daemon_dir}/qmgr
%{daemon_dir}/qmqpd
%{daemon_dir}/showq
%{daemon_dir}/smtp
%{daemon_dir}/smtpd
%{daemon_dir}/spawn
%{daemon_dir}/trivial-rewrite
%{daemon_dir}/virtual

%if %{tls}
%{daemon_dir}/tlsmgr
%endif

%{_sbindir}/postalias
%{_sbindir}/postcat
%{_sbindir}/postconf
%attr(2755,root,postdrop) %{_sbindir}/postdrop
%attr(2755,root,postdrop) %{_sbindir}/postqueue
%{_sbindir}/postfix
%{_sbindir}/postkick
%{_sbindir}/postlock
%{_sbindir}/postlog
%{_sbindir}/postmap
%{_sbindir}/postsuper

%{_sbindir}/smtp-sink
%{_sbindir}/smtp-source
%{_sbindir}/qmqp-source

%attr(555,root,root) %{_sbindir}/pflogsumm.pl
%attr(750,root,admin) %{_sbindir}/postfix-report.sh

%{sendmail_path}
%{mailq_path}
%{newaliases_path}
%attr(0755, root, root) %{rmail_path}

%{_mandir}/*/*

##############################################################################
# List of changes made to this package.
#
# Although old entries from the changelog have been removed most of them
# are available from my CVS repository of changes made to this file.
#

%changelog
* Mon Apr 21 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.3.1
  - Removing building maps on install as they are built
     by the initscript "start"

* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Wed Mar 05 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.5.9
  - New initscript to create *.db

* Wed Mar 05 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.5.7
  - Corrected error in building *.db files

* Tue Mar 04 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.5.6
  - patched postfix-files for man*.gz

* Mon Mar 03 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.5.5
  - removed chown chrooted localtime as the WebTool 
     is doing this in initconfig
  - installing a dummy pop-before-smtp.db 
      in /etc/postfix

* Mon Mar 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 20020613, Release 1.5.4
  - Don't chkconfig --add in %post.

* Fri Feb 28 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 20020613, Release 1.5.3
  - Merge MSS postfix package mainline.
  - Added 'util-linux' PreReq from 1.5.2.
  - Remove 'ed' BuildReq.

* Wed Feb 05 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.2.57
  - altered init script to not recreate pop-before-smtp.db

* Fri Jan 24 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.2.56
  - patched the post-install script to use "sed" instead
      of "ed"

* Mon Jan 20 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.2.54
  - added $transport_maps to $relay_domains in %post

- Version 20020613, Release 1.2.54
  - removed dummy /etc/postfix/pop-before-smtp but
      leaving the pop-before-smtp.db
* Fri Jan 17 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.2.54
  - removed dummy /etc/postfix/pop-before-smtp but
      leaving the pop-before-smtp.db

* Thu Jan 16 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 20020613, Release 1.2.53
  - added dummy disallow_my_domain(.db) files
  - sent the "restart" output to /dev/null
  - added $transport_maps to $relay_domains
  - modified %post to only modify master.cf if the desired
      changes are not already there - before this there was
      no checking and it would duplicate entries 
  - change rpm name to mail_release_date

* Thu Jan 16 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release 1.2.52
  - added empty /etc/postfix/sender_canonical for WebTool

* Wed Jan 15 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release 1.2.51
  - added /etc/postfix/tls, (0400,root,root) /etc/postfix/openssl-postfix.cnf

* Fri Jan 10 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release 1.2.50
  - linked queue_dir/usr/lib/zoneinfo/localtime ->
        queue_dir/etc/localtime
  - changed /etc/init.d/postfix to use logger to log stuff
      to syslog
  - added default (sender,client)_access, (mime_)header_checks
       body_checks
  - removed copying /etc/passwd to chroot
  - added a default body_checks that allows pflogsumm reports
      to no get caught in the body_checks
       
* Mon Dec 30 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release 1.2.49
  - chown -R root.root chroot/usr
  - added $AGE_THRESHOLD to postfix-report.sh for WebTool
  - changed /etc/cron.d/postfix to run report at 23:50

* Fri Nov 22 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release 1.2.48
  - in %post made accomdations for /etc/localtime being
      a real file or a link 
  - add (virus,spam)-admin aliases 

* Fri Nov 15 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release 1.2.47
  - chmod 700 /var/log/postfix

* Tue Nov 12 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.46
  - changed postfix-report.sh, /etc/cron.d/postfix to be run
     5 minutes before mid-night on data of the current day
  - chmod 640 /etc/cron.d/postfix
  - chmod 750 /usr/sbin/postfix-report.sh
  - added to master.cf a transport for OUTLOOK clients that
      runs in tls_wrappermode on port 465
  - rebuild *.db files in %post on upgrade

* Fri Oct 25 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.45
  - put in the latest postfix-report.sh and changed to 550 grp admin
  - added a master.cf patch for special TLS OUTLOOK transport 
      because we know MS is very special

* Thu Oct 24 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.44
  - removed the unfiltered transport in master.cf

* Tue Oct 23 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.43
  - updated postfix-report.sh

* Mon Oct 22 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.42
  - backported smtp_proto.c to 20020809 which fixed the prior
     20020531 bugfix could prepend '.' to lines when
     it shouldn't (but only when converting 8-bit mail to 7-bit).
     Problem experienced by Ralf Hildebrandt.

* Tue Oct 15 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.41
  - added a unfiltered transport to master.cf
  - changed name /etc/postfix/access to /etc/postfix/client_access


* Fri Oct 04 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.40
  - mods to postfix-report.sh

* Tue Sep 23 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.39
  - removed "ed" requirement
  - removed redhat stuff
  - removed epoch

* Mon Sep 23 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.38
  - in %{queue_dir}/etc mv zonefile into localtime so 
      postfix-script doesn't complain 

* Fri Aug 30 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.37
  - added virus-admin, spam-admin to aliases
  - added to main.cf 
* Fri Aug 30 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.37
  - added virus-admin, spam-admin to aliases
  - added to main.cf 
    + delay_warning_time = 4
    + biff = no
    + mynetworks = 127.0.0.0/8

* Wed Aug 28 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.36
  - added LDAP support
  - %post puts a copy of zonefile in postfix chroot and keeps 
      the localtime link inside the chroot - this was breaking time
      stamps in log file

* Tue Aug 13 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.35
  - Removed adding man*.gz to postfix-files

* Tue Jul 16 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.34
  - Fixed condrestart in init script

* Fri Jun 28 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.32
  - removed /etc/cron.daily/1postfix - we've our own report scripts

* Thu Jun 20 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.31
  - removed duplicate alias_maps lines in main.cf

* Wed Jun 19 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020613, Release MSS_1.2.30
  - added TLS - pfixtls-0.8.11a-1.1.11-20020613-0.9.6d

* Fri Jun 14 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020610, Release MSS_1.2.10
  - changed to db1

* Thu Jun 13 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020610, Release MSS_1.2.9
  - added virtual and transport maps
  - took out TLS temporarily - it was breaking patches
      when using "official = 0"

* Thu Jun 13 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020610, Release MSS_1.2.8
  - upgraded to mail_release_date 20020610
  - added /var/log/postfix for pflogsumm reports

* Wed Jun 12 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 1.1.11, mail_release_date 20020528, Release MSS_1.2.7
  - Initial version for ESP Mail Suite
  - altered  /etc/cron.daily/1postfix maillog -> mail.log
  - GDized /etc/postfix/main.cf 
  - added TLS and PCRE support
  - added /usr/sbin/postfix-report.sh which mails pflogsumm.pl
     output to "admin"
  - added /etc/cron.d/postfix

* Sun Jun 09 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.11-1
  - update to postfix-1.1.11
  - support for building with db3 on rh6.x - patch provided by
     Frederic Hermann <Frederic.Hermann@ferma.fr> 
  - remove FQDN hostname checks - request by Wietse

* Sun May 19 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.10-1
  - fix debug macro bug, reported by  Christopher Audley <Christopher.D.Audley@jhu.edu>  
  - upgrade to 1.1.10
  - upgrade TLS patch

* Tue Apr 30 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-6
  - /lib/lidbdb.so is not needed within the chroot (it's used only by the 
    db[34]-devel packages).  So remove it.  Symptom: error message
    "cp: cannot stat `/lib/libdb.so" on machines which didn't have
    db[34]-devel installed.
    - Reported by Bill Landry <BillL@Pointshare.com>

* Sun Apr 28 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-5
  - various changes suggested by Todd <Freedom_Lover@bigfoot.com>
    - minor change to redhatmysql support, removing unneeded
    Requires:
    - minor change to TLS support, moving documentation to
    /usr/share/doc/postfix-1.1.7/TLS/
    - inclusion of Postfix examples directory which was missing
  - chroot environment changes: after removing chroot-setup-LINUX2 and
    replacing it with triggerin scripts some files were missing.  Fixed

* Thu Apr 18 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-4
  - bugfix: add Source2: postfix-get-distribution
    - advised by "Weisz, Norbert" <Norbert.Weisz@Compaq.com>

* Thu Apr 18 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-3
  - changes to names and stuff in spec file (basic tidy-up)
  - add qmqp-source
  - changes to use triggerin macros instead of chroot stuff
    - mainly taken from Bero and Tuomo's Postfix spec files
  - remove changelog entries for before 01-01-2002, they can still be recovered
    from my CVS archives.
  - useradd/groupadd of postfix/postdrop have been modified to not specify
    a specific user/group id.  rpm uses the name when checking permissions and
    postfix's main.cf also works with names so don't insist on specific ids.
    the uid/gids created are system accounts.
  - upgrade VDA patch to 1.1.6

* Wed Apr 10 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-2
  - bug fix to copy_cmd macro which was causing lots of grief

* Mon Apr 01 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.7-1
  - update to 1.1.7

* Mon Apr 01 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.6-1
  - upgrade to 1.1.6
  - minor changes to 1postfix
  - remove smtp-helo-name patch
  - update TLS patches

* Wed Mar 20 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.5-3
  - include Wietse's smtp-helo-name patch

* Wed Mar 13 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.5-2
  - upgrade TLS patches to 0.8.5

* Tue Mar 12 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.5-1
  - upgrade to postfix-1.1.5

* Tue Mar 12 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.4-4
  2 patches provided by Robert L Mathews <rob@tigertech.com> 
  - add support via POSTFIX_DISABLE_CHROOT=1 to disable standard chroot
    setup in package.
  - add support for explicitly defining the postfix uid/gid in spec file
    via POSTFIX_UID=... and POSTFIX_GID=...

* Fri Mar 08 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.4-3
  - add patch to BuildRequires!
  - add separate Postgres support patches into two parts
    - standard Postgres patches from Mathieu Arnold <arn_mat@club-internet.fr>
    - other experimental patch by George Barbarosie <georgeb@intelinet.ro>

* Fri Mar 01 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.4-2
  - add Postgres Database support: George Barbarosie <georgeb@intelinet.ro>
  - update TLS patches: Dominik Mierzejewski <dominik@aaf16.warszawa.sdi.tpnet.pl>
  - update /etc/cron.daily/1postfix script: Dominik/Simon

* Mon Feb 25 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.4-1
  - add virtual delivery agent patch, from http://www.oav.net/~kiwi/postfix
    - requested by  D M <dcm_scorpio@hotmail.com> 
  - upgrade to pflogsumm.pl 1.0.4
  - upgrade to postfix-1.1.4
  - minor modification to postfix-etc-init.d-postfix so it works correctly
    with condrestart

* Wed Feb 20 2002 Simon J Mudd <sjmudd@pobox.com> 1.1.3-2
  - after looking at Bero's version of my rpm make some mainly cosmetic
    changes

* Sun Feb 03 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.3-1
  - update to postfix-1.1.3

* Fri Jan 25 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.2-1
  - update to postfix-1.1.2

- postfix-1.1.1-1
  - update TLS patch - pfixtls-0.8.1-1.1.1-0.9.6c

* Tue Jan 22 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.1-1
  - update to postfix-1.1.1
  - update TLS patch - pfixtls-0.8.0-1.1.0-0.9.6c

* Mon Jan 21 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.0-3, check for /usr/lib/sendmail and if it is a file NOT
    owned by another package: replace it with a symbolic link to
    /usr/sbin/sendmail [requested by Wietse to avoid upgrade problems]
  - add patch to postqueue provided by LaMont Jones <lamont@security.hp.com>
  - update TLS patch - pfixtls-0.7.16-1.1.0-0.9.6c

* Sat Jan 19 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.0-2, add serial tag, so that this version appears newer
  to RPM than version previous 200xmmdd versions.
  - thanks to Dominik Mierzejewski <dominik@aaf16.warszawa.sdi.tpnet.pl>
    for pointing this out to me.

* Sat Jan 19 2002 Simon J Mudd <sjmudd@pobox.com>
- postfix-1.1.0, update to the latest official release
  - tidying up of the spec file to fit in line with Wietse's new
    naming convention.

* Wed Jan 16 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020115-1, update to latest snapshot
  - fix postfix-files to reflect compressed man pages

* Tue Jan 15 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020113-1, update to latest snapshot
  - sample files have moved, they are now (temporarily?) in /etc/postfix
    following Wietse's wish.

* Fri Jan 11 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020111-1, update to latest snapshot

* Fri Jan 11 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020110-1, update to latest snapshot
  - update install procedures
    - use patch provided by Victor Duchovni to ensure the installation works
      as expected.

* Wed Jan 09 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20020107-1, update to latest snapshot
  (candidate for next official postfix release)

* Wed Jan 01 2002 Simon J Mudd <sjmudd@pobox.com>
- snapshot-20011226-1, update to latest snapshot
